<script>
  import { getUserInfo } from '@/utils/auth'
	import $tab from '@/plugins/tab.js'
	export default {
		onLaunch: function() {
			console.warn('当前组件仅支持 uni_modules 目录结构 ，请升级 HBuilderX 到 3.1.0 版本以上！')
      this.initApp()
			console.log('App Launch')
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		},
		methods: {
			  // 初始化应用
			  initApp() {
			    // 初始化应用配置
			    // this.initConfig()
			    // 检查用户登录状态
			    this.checkLogin()
			  },
      checkLogin() {
        if (!getUserInfo()) {
          $tab.reLaunch('/pages/login') 
        }
      }
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import '@/uni_modules/uni-scss/index.scss';
	/* uni.css - 通用组件、模板样式库，可以当作一套ui库应用 */
	@import '@/common/uni.css';
	/* #ifndef APP-NVUE */
	@import '@/static/font/customicons.css';
	/* uParse富文本框渲染 样式 */
	@import url("/components/gaoyia-parse/parse.css");

	// 设置整个项目的背景色
	page {
		background-color: #f5f5f5;
	}

	/* #endif */
	.example-info {
		font-size: 14px;
		color: #333;
		padding: 10px;
	}
</style>